Package com.xebialabs.xlrelease.domain.environments

# Class LiveDeployment

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.environments.LiveDeployment

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="Composite entity that combines ApplicationSource and DeploymentTarget making it a Deployment. Live deployment tracks deployment status changes.", versioned=false, root=CONFIGURATION) public class LiveDeployment extends BaseConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LiveDeployment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LiveDeployment`
  `create(String folderId, LiveDeploymentConfig config, Application application, Environment environment, DeploymentState state)`
  `Application`
  `getApplication()`
  `LiveDeploymentConfig`
  `getConfig()`
  `DeploymentState`
  `getDeploymentState()`
  `Environment`
  `getEnvironment()`
  `void`
  `setApplication(Application application)`
  `void`
  `setConfig(LiveDeploymentConfig config)`
  `void`
  `setDeploymentState(DeploymentState deploymentState)`
  `void`
  `setEnvironment(Environment environment)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, getTitle, hasId, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LiveDeployment

    public LiveDeployment()

- ## Method Details

  - ### create

    public static LiveDeployment create(String folderId, LiveDeploymentConfig config, Application application, Environment environment, DeploymentState state)

  - ### getConfig

    public LiveDeploymentConfig getConfig()

  - ### setConfig

    public void setConfig(LiveDeploymentConfig config)

  - ### getApplication

    public Application getApplication()

  - ### setApplication

    public void setApplication(Application application)

  - ### getEnvironment

    public Environment getEnvironment()

  - ### setEnvironment

    public void setEnvironment(Environment environment)

  - ### getDeploymentState

    public DeploymentState getDeploymentState()

  - ### setDeploymentState

    public void setDeploymentState(DeploymentState deploymentState)